|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
public interface IRequestTargetMounter
Defines the contract for mounting request targets to paths.
| Method Summary | |
|---|---|
void |
addIgnoreMountPath(String path)
Partly unmounts/ignores a path that normally would map to another mount path. |
void |
mount(IRequestTargetUrlCodingStrategy urlCodingStrategy)
Mounts a request target with the given path. |
CharSequence |
pathForTarget(IRequestTarget requestTarget)
Gets the url that the provided request target conforms to. |
IRequestTarget |
targetForRequest(RequestParameters requestParameters)
Gets the request target that conforms to the given request parameters. |
void |
unmount(String path)
Unmounts a request target. |
IRequestTargetUrlCodingStrategy |
urlCodingStrategyForPath(String path)
Gets the encoder that was mounted on the provided path if any. |
| Method Detail |
|---|
void mount(IRequestTargetUrlCodingStrategy urlCodingStrategy)
urlCodingStrategy - The strategy to use for encoding and decoding urlsvoid addIgnoreMountPath(String path)
path - the path that should be ignored.CharSequence pathForTarget(IRequestTarget requestTarget)
requestTarget - the request target
IRequestTarget targetForRequest(RequestParameters requestParameters)
requestParameters - the request parameters
void unmount(String path)
path - the path to unmountIRequestTargetUrlCodingStrategy urlCodingStrategyForPath(String path)
path - the path
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||